
#include <oslib/oslib.h>

extern OSL_FONT *maFonte , *maFonte2;

OSL_CIRCLE_MENU *Menu;
//pour le menu d'intro
int Intro = 1;
//pour le changement de couleur du appuyer sur start
extern int couleur;
//idem
extern int timer_couleur;

//fonction cacher de devslib ^^
extern float DevsrangeAnglef(float angle);
extern float Devsmod_f(float x, float y);
extern float DevsadapteAnglef(float angle1, float angle2);

int intro_valider = 0;

/*-------------------------------------------------------------------------*/
/**
  @brief    Dessine le menu
  @param    MenuS Pointeur du menu Utiliser
 
dessine le Menu mais qui tourne continuellement :) pour une annimation
 */
/*--------------------------------------------------------------------------*/
void oslmenuUpdateIcons_circle2(OSL_CIRCLE_MENU *MenuS)
{
		if (MenuS->Eloignement !=0)MenuS->Eloignement -=2;

		oslMenuDrawIcons(MenuS,MenuS->test_angle, MenuS->Eloignement);


		if (MenuS->Eloignement > 0)
		{
			MenuS->AlphaMenu = MAX(256 - (MenuS->Eloignement * 4), 0);
			oslSetAlpha(OSL_FX_ALPHA, MenuS->AlphaMenu);
		}
		else
			MenuS->AlphaMenu = 256;

		
		MenuS->test_angle = DevsrangeAnglef(MenuS->test_angle - 1.f);

}



//gestion des touches
void Touche_Intro()
{
 oslReadKeys();

//deplace le perso ver le haut
 if (!intro_valider)
 {
	if (osl_keys->pressed.start)
	{
		Menu->Eloignement = 5;
		intro_valider = 1;
	}
 }

}


void IntroAffiche()
{

	//Tres compliquer car beaucoup de variable desoler :) effet garentie
	Menu = oslCreateCircleMenu("media/icons.png", 8, 280, 0, 80 , 64,40,240,20,150);

	couleur = 254;
	timer_couleur = 0;

	while (Intro)
		{
		oslStartDrawing();
		oslCls();

		//gestion des touche de l'avent menu
		Touche_Intro();
	
		//affichage du degrader
		oslDrawGradientRect(0, 20, OSL_SCREEN_WIDTH, 140, RGB(34,61,67), RGB(12,66,120), RGB(12,66,120), RGB(34,61,67));
		oslDrawLine(0, 19, OSL_SCREEN_WIDTH, 19, RGB(255,255,255));
		oslDrawLine(0, 141, OSL_SCREEN_WIDTH, 141, RGB(255,255,255));
		oslmenuUpdateIcons_circle2(Menu);

		oslSetFont(maFonte);
		oslPrintColorShadow(240  -(oslStringLength("APPUYER SUR START")/2),200,RGBA(255, 255, 0, couleur),"APPUYER SUR START",0);
		oslSetFont(maFonte2);
		oslPrintColorShadow(240  -(oslStringLength("Creer par PJEFF pour PSP-GENERATION et DEVSGEN")/2),272-14,BLANC,"Creer par PJEFF pour PSP-GENERATION et DEVSGEN",0);
	

		if(timer_couleur == 0)couleur -=2;
		if(timer_couleur == 1)couleur +=2;
		if (couleur >= 254)timer_couleur = 0;
		if (couleur <= 0)timer_couleur = 1;



		if (Menu->Eloignement <= -300)Intro = 0;

		oslSynchronization();

	}

	oslDeleteCircleMenu(Menu);

}




